## Dapp Indexer

** The Dapp Indexer is a simple smart contract which stores an IPFS CID from a dapp based on a key name**

The goal is to use this as an alternative for ssl to web3 to verify its the correct content/version/asset.

## The Dapp Indexer has the following features:

- [x] Roll management so that it can be integrated into a Dapp or Roles.
- [x] Low Gas Consumption
- [x] Keep it as simple as posible.

## ToDo and wanted features:
- [ ] Create an event for metadata information about the CID.
- [ ] Support other type of hashes or structure storage


## Usage

### Build

```shell
$ forge build
```

### Test

```shell
$ forge test
```

### Gas Snapshots

```shell
$ forge snapshot
```

### Anvil

```shell
$ anvil
```

### Deploy

```shell
$ forge script script/Counter.s.sol:CounterScript --rpc-url <your_rpc_url> --private-key <your_private_key>
```

### Cast

```shell
$ cast <subcommand>
```

### Help

```shell
$ forge --help
$ anvil --help
$ cast --help
```
